Subject: bug#8122: 23.2.94; (prefer-coding-system 'utf-8) changes indentation behavior for emacsclient

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Feb 2011 05:58:31 +0200

> Date: Sat, 26 Feb 2011 17:57:38 -0500
> From: Steve Revilak <[email-masked]>
> Cc: Kenichi Handa <[email-masked]>, [email-masked]
> 
> >If you start the Emacs daemon like this:
> >
> > emacs  -Q --eval "(prefer-coding-system 'utf-8-unix)" --daemon
> >                                          ^^^^^^^^^^
> >the problem goes away.
> 
> Eli,
> 
> As you suggested, I tried changing (prefer-coding-system 'utf-8) to
> (prefer-coding-system 'utf-8-unix).  Indeed, that makes the problem go
> away.
> 
> 
> >I propose the following change to fix this:
> >
> >--- lisp/international/mule-cmds.el~0	2011-01-08 12:45:14.000000000 -0500
> >+++ lisp/international/mule-cmds.el	2011-02-26 11:32:22.483284753 -0500
> >@@ -368,7 +368,8 @@
> > 		 (coding-system-get coding-system 'ascii-compatible-p)))
> > 	(setq default-file-name-coding-system coding-system)))
> >   (setq default-terminal-coding-system coding-system)
> >-  (setq default-keyboard-coding-system coding-system)
> >+  (setq default-keyboard-coding-system
> >+	(coding-system-change-eol-conversion coding-system 'unix))
> >   ;; Preserve eol-type from existing default-process-coding-systems.
> >   ;; On non-unix-like systems in particular, these may have been set
> >   ;; carefully by the user, or by the startup code, to deal with the
> 
> 
> I tested this patch on my system (with "(prefer-coding-system
> 'utf-8)").  It works.

Thanks for testing.  The fix is now on the release branch.